'use client';

/**
 * This file was automatically generated by the Stencil React Output Target.
 * Changes to this file may cause incorrect behavior and will be lost if the code is regenerated.
 */

/* eslint-disable */

import { BrAvatar as BrAvatarElement, defineCustomElement as defineBrAvatar } from "@govbr-ds/webcomponents/dist/components/br-avatar.js";
import { BrButton as BrButtonElement, defineCustomElement as defineBrButton } from "@govbr-ds/webcomponents/dist/components/br-button.js";
import { BrCheckbox as BrCheckboxElement, defineCustomElement as defineBrCheckbox } from "@govbr-ds/webcomponents/dist/components/br-checkbox.js";
import { BrCheckgroup as BrCheckgroupElement, defineCustomElement as defineBrCheckgroup } from "@govbr-ds/webcomponents/dist/components/br-checkgroup.js";
import { BrDropdown as BrDropdownElement, defineCustomElement as defineBrDropdown } from "@govbr-ds/webcomponents/dist/components/br-dropdown.js";
import { BrIcon as BrIconElement, defineCustomElement as defineBrIcon } from "@govbr-ds/webcomponents/dist/components/br-icon.js";
import { BrInput as BrInputElement, defineCustomElement as defineBrInput } from "@govbr-ds/webcomponents/dist/components/br-input.js";
import { BrItem as BrItemElement, defineCustomElement as defineBrItem } from "@govbr-ds/webcomponents/dist/components/br-item.js";
import { BrList as BrListElement, defineCustomElement as defineBrList } from "@govbr-ds/webcomponents/dist/components/br-list.js";
import { BrLoading as BrLoadingElement, defineCustomElement as defineBrLoading } from "@govbr-ds/webcomponents/dist/components/br-loading.js";
import { BrMessage as BrMessageElement, defineCustomElement as defineBrMessage } from "@govbr-ds/webcomponents/dist/components/br-message.js";
import { BrRadio as BrRadioElement, defineCustomElement as defineBrRadio } from "@govbr-ds/webcomponents/dist/components/br-radio.js";
import { BrSelect as BrSelectElement, defineCustomElement as defineBrSelect } from "@govbr-ds/webcomponents/dist/components/br-select.js";
import { BrSwitch as BrSwitchElement, defineCustomElement as defineBrSwitch } from "@govbr-ds/webcomponents/dist/components/br-switch.js";
import { BrTag as BrTagElement, defineCustomElement as defineBrTag } from "@govbr-ds/webcomponents/dist/components/br-tag.js";
import { BrTextarea as BrTextareaElement, defineCustomElement as defineBrTextarea } from "@govbr-ds/webcomponents/dist/components/br-textarea.js";
import { BrUpload as BrUploadElement, defineCustomElement as defineBrUpload } from "@govbr-ds/webcomponents/dist/components/br-upload.js";
import type { EventName, StencilReactComponent } from '@stencil/react-output-target/runtime';
import { createComponent } from '@stencil/react-output-target/runtime';
import React from 'react';

type BrAvatarEvents = NonNullable<unknown>;

export const BrAvatar: StencilReactComponent<BrAvatarElement, BrAvatarEvents> = /*@__PURE__*/ createComponent<BrAvatarElement, BrAvatarEvents>({
    tagName: 'br-avatar',
    elementClass: BrAvatarElement,
    // @ts-ignore - React type of Stencil Output Target may differ from the React version used in the Nuxt.js project, this can be ignored.
    react: React,
    events: {} as BrAvatarEvents,
    defineCustomElement: defineBrAvatar
});

type BrButtonEvents = NonNullable<unknown>;

export const BrButton: StencilReactComponent<BrButtonElement, BrButtonEvents> = /*@__PURE__*/ createComponent<BrButtonElement, BrButtonEvents>({
    tagName: 'br-button',
    elementClass: BrButtonElement,
    // @ts-ignore - React type of Stencil Output Target may differ from the React version used in the Nuxt.js project, this can be ignored.
    react: React,
    events: {} as BrButtonEvents,
    defineCustomElement: defineBrButton
});

type BrCheckboxEvents = {
    onCheckedChange: EventName<CustomEvent<boolean>>,
    onIndeterminateChange: EventName<CustomEvent<boolean>>
};

export const BrCheckbox: StencilReactComponent<BrCheckboxElement, BrCheckboxEvents> = /*@__PURE__*/ createComponent<BrCheckboxElement, BrCheckboxEvents>({
    tagName: 'br-checkbox',
    elementClass: BrCheckboxElement,
    // @ts-ignore - React type of Stencil Output Target may differ from the React version used in the Nuxt.js project, this can be ignored.
    react: React,
    events: {
        onCheckedChange: 'checkedChange',
        onIndeterminateChange: 'indeterminateChange'
    } as BrCheckboxEvents,
    defineCustomElement: defineBrCheckbox
});

type BrCheckgroupEvents = NonNullable<unknown>;

export const BrCheckgroup: StencilReactComponent<BrCheckgroupElement, BrCheckgroupEvents> = /*@__PURE__*/ createComponent<BrCheckgroupElement, BrCheckgroupEvents>({
    tagName: 'br-checkgroup',
    elementClass: BrCheckgroupElement,
    // @ts-ignore - React type of Stencil Output Target may differ from the React version used in the Nuxt.js project, this can be ignored.
    react: React,
    events: {} as BrCheckgroupEvents,
    defineCustomElement: defineBrCheckgroup
});

type BrDropdownEvents = { onBrDropdownChange: EventName<CustomEvent<{ 'is-opened': boolean }>> };

export const BrDropdown: StencilReactComponent<BrDropdownElement, BrDropdownEvents> = /*@__PURE__*/ createComponent<BrDropdownElement, BrDropdownEvents>({
    tagName: 'br-dropdown',
    elementClass: BrDropdownElement,
    // @ts-ignore - React type of Stencil Output Target may differ from the React version used in the Nuxt.js project, this can be ignored.
    react: React,
    events: { onBrDropdownChange: 'brDropdownChange' } as BrDropdownEvents,
    defineCustomElement: defineBrDropdown
});

type BrIconEvents = NonNullable<unknown>;

export const BrIcon: StencilReactComponent<BrIconElement, BrIconEvents> = /*@__PURE__*/ createComponent<BrIconElement, BrIconEvents>({
    tagName: 'br-icon',
    elementClass: BrIconElement,
    // @ts-ignore - React type of Stencil Output Target may differ from the React version used in the Nuxt.js project, this can be ignored.
    react: React,
    events: {} as BrIconEvents,
    defineCustomElement: defineBrIcon
});

type BrInputEvents = { onValueChange: EventName<CustomEvent<string>> };

export const BrInput: StencilReactComponent<BrInputElement, BrInputEvents> = /*@__PURE__*/ createComponent<BrInputElement, BrInputEvents>({
    tagName: 'br-input',
    elementClass: BrInputElement,
    // @ts-ignore - React type of Stencil Output Target may differ from the React version used in the Nuxt.js project, this can be ignored.
    react: React,
    events: { onValueChange: 'valueChange' } as BrInputEvents,
    defineCustomElement: defineBrInput
});

type BrItemEvents = {
    onBrDidClick: EventName<CustomEvent<any>>,
    onBrDidSelect: EventName<CustomEvent<{ selected: boolean }>>
};

export const BrItem: StencilReactComponent<BrItemElement, BrItemEvents> = /*@__PURE__*/ createComponent<BrItemElement, BrItemEvents>({
    tagName: 'br-item',
    elementClass: BrItemElement,
    // @ts-ignore - React type of Stencil Output Target may differ from the React version used in the Nuxt.js project, this can be ignored.
    react: React,
    events: {
        onBrDidClick: 'brDidClick',
        onBrDidSelect: 'brDidSelect'
    } as BrItemEvents,
    defineCustomElement: defineBrItem
});

type BrListEvents = NonNullable<unknown>;

export const BrList: StencilReactComponent<BrListElement, BrListEvents> = /*@__PURE__*/ createComponent<BrListElement, BrListEvents>({
    tagName: 'br-list',
    elementClass: BrListElement,
    // @ts-ignore - React type of Stencil Output Target may differ from the React version used in the Nuxt.js project, this can be ignored.
    react: React,
    events: {} as BrListEvents,
    defineCustomElement: defineBrList
});

type BrLoadingEvents = NonNullable<unknown>;

export const BrLoading: StencilReactComponent<BrLoadingElement, BrLoadingEvents> = /*@__PURE__*/ createComponent<BrLoadingElement, BrLoadingEvents>({
    tagName: 'br-loading',
    elementClass: BrLoadingElement,
    // @ts-ignore - React type of Stencil Output Target may differ from the React version used in the Nuxt.js project, this can be ignored.
    react: React,
    events: {} as BrLoadingEvents,
    defineCustomElement: defineBrLoading
});

type BrMessageEvents = { onBrDidClose: EventName<CustomEvent<any>> };

export const BrMessage: StencilReactComponent<BrMessageElement, BrMessageEvents> = /*@__PURE__*/ createComponent<BrMessageElement, BrMessageEvents>({
    tagName: 'br-message',
    elementClass: BrMessageElement,
    // @ts-ignore - React type of Stencil Output Target may differ from the React version used in the Nuxt.js project, this can be ignored.
    react: React,
    events: { onBrDidClose: 'brDidClose' } as BrMessageEvents,
    defineCustomElement: defineBrMessage
});

type BrRadioEvents = { onCheckedChange: EventName<CustomEvent<boolean>> };

export const BrRadio: StencilReactComponent<BrRadioElement, BrRadioEvents> = /*@__PURE__*/ createComponent<BrRadioElement, BrRadioEvents>({
    tagName: 'br-radio',
    elementClass: BrRadioElement,
    // @ts-ignore - React type of Stencil Output Target may differ from the React version used in the Nuxt.js project, this can be ignored.
    react: React,
    events: { onCheckedChange: 'checkedChange' } as BrRadioEvents,
    defineCustomElement: defineBrRadio
});

type BrSelectEvents = { onBrDidSelectChange: EventName<CustomEvent<any>> };

export const BrSelect: StencilReactComponent<BrSelectElement, BrSelectEvents> = /*@__PURE__*/ createComponent<BrSelectElement, BrSelectEvents>({
    tagName: 'br-select',
    elementClass: BrSelectElement,
    // @ts-ignore - React type of Stencil Output Target may differ from the React version used in the Nuxt.js project, this can be ignored.
    react: React,
    events: { onBrDidSelectChange: 'brDidSelectChange' } as BrSelectEvents,
    defineCustomElement: defineBrSelect
});

type BrSwitchEvents = { onCheckedChange: EventName<CustomEvent<boolean>> };

export const BrSwitch: StencilReactComponent<BrSwitchElement, BrSwitchEvents> = /*@__PURE__*/ createComponent<BrSwitchElement, BrSwitchEvents>({
    tagName: 'br-switch',
    elementClass: BrSwitchElement,
    // @ts-ignore - React type of Stencil Output Target may differ from the React version used in the Nuxt.js project, this can be ignored.
    react: React,
    events: { onCheckedChange: 'checkedChange' } as BrSwitchEvents,
    defineCustomElement: defineBrSwitch
});

type BrTagEvents = { onRadioSelected: EventName<CustomEvent<string>> };

export const BrTag: StencilReactComponent<BrTagElement, BrTagEvents> = /*@__PURE__*/ createComponent<BrTagElement, BrTagEvents>({
    tagName: 'br-tag',
    elementClass: BrTagElement,
    // @ts-ignore - React type of Stencil Output Target may differ from the React version used in the Nuxt.js project, this can be ignored.
    react: React,
    events: { onRadioSelected: 'radioSelected' } as BrTagEvents,
    defineCustomElement: defineBrTag
});

type BrTextareaEvents = { onValueChange: EventName<CustomEvent<string>> };

export const BrTextarea: StencilReactComponent<BrTextareaElement, BrTextareaEvents> = /*@__PURE__*/ createComponent<BrTextareaElement, BrTextareaEvents>({
    tagName: 'br-textarea',
    elementClass: BrTextareaElement,
    // @ts-ignore - React type of Stencil Output Target may differ from the React version used in the Nuxt.js project, this can be ignored.
    react: React,
    events: { onValueChange: 'valueChange' } as BrTextareaEvents,
    defineCustomElement: defineBrTextarea
});

type BrUploadEvents = NonNullable<unknown>;

export const BrUpload: StencilReactComponent<BrUploadElement, BrUploadEvents> = /*@__PURE__*/ createComponent<BrUploadElement, BrUploadEvents>({
    tagName: 'br-upload',
    elementClass: BrUploadElement,
    // @ts-ignore - React type of Stencil Output Target may differ from the React version used in the Nuxt.js project, this can be ignored.
    react: React,
    events: {} as BrUploadEvents,
    defineCustomElement: defineBrUpload
});
